<?php

include_once('HostList.php');

class PageNetworkInformation extends Page
{
  var $FullTitle = 'Technické informace o síti';
  var $ShortTitle = 'Technické informace';

  function Show()
  {
    $Output = '';
    if(!array_key_exists('section', $_GET)) $_GET['section'] = '';
    switch($_GET['section'])
    {
      case 'obsazeni_wifi_kanalu':
        // http://en.wikipedia.org/wiki/List_of_WLAN_channels
        //$ChannelList = array(2412 => 1, 2417 => 2, 2422 => 3, 2427 => 4, 2432 => 5, 2437 => 6, 2442 => 7, 2447 => 8, 2452 => 9, 2457 => 10, 2462 => 11, 2467 => 12, 2472 => 13, 5200 => 40, 5205 => 41, 5210 => 42, 5215 => 43, 5220 => 44, 5225 => 45, 5230 => 46, 5235 => 47, 5240 => 48, 5245 => 49, 5250 => 50, 5255 => 51, 5260 => 52, 5265 => 53, 5270 => 54, 5275 => 55, 5280 => 56, 5285 => 57, 5290 => 58, 5295 => 59, 5300 => 60, 5500 => 100, 5520 => 104, 5540 => 108, 5560 => 112, 5580 => 116, 5600 => 120, 5620 => 124, 5640 => 128, 5660 => 132, 5700 => 140, 5720 => 144);
        $Output .= '<div align="center">'.
        '<a href="?section=obsazeni_wifi_kanalu&range=a">Pásmo 2,4 GHz (a)</a> '.
        '<a href="?section=obsazeni_wifi_kanalu&amp;range=bc">Pásmo 5 GHz dolní (b, c)</a> '.
        '<a href="?section=obsazeni_wifi_kanalu&amp;range=d">Pásmo 5 GHz horní (d)</a> '.
        '<a href="http://www.ctu.cz/1/download/Opatreni%20obecne%20povahy/VO_R_12_08_2005_34.pdf">VO_R_12_08_2005_34</a><br/>'.
        '<strong>Seznam známých AP a obsazení kmitočtových pásem:</strong></div>'.
        '<table class="WideTable">'.
        '<tr><th/><br/>SSID<br/><br/></th>';  
        $ChannelList = array();
        if(!array_key_exists('range', $_GET)) $_GET['range'] = 'a';
        if($_GET['range'] == 'a')        
        {
          $Where = '(Frequency < 5000)';
          for($Freq = 2402; $Freq <= 2482; $Freq = $Freq + 5) $ChannelList[] = $Freq;
        }
        if($_GET['range'] == 'bc')        
        {
          $Where = '(Frequency >= 5000) AND (Frequency <= 5350)';
          for($Freq = 5150; $Freq <= 5350; $Freq = $Freq + 5) $ChannelList[] = $Freq;
        }
        if($_GET['range'] == 'd')        
        {
          $Where = '(Frequency >= 5470)';
          for($Freq = 5470; $Freq <= 5725; $Freq = $Freq + 5) $ChannelList[] = $Freq;
        }
         
        foreach($ChannelList as $Frequency)        
        {
          $Output .= '<th><div class="RotatedHeader">'.$Frequency.'<div></th>';
        }
        $Output .= '</tr>';
        $DbResult = $this->Database->query('SELECT Frequency FROM NetworkAP WHERE '.$Where.' GROUP BY Frequency');
        while($DbRow = $DbResult->fetch_assoc())
        {
          $DbResult2 = $this->Database->query('SELECT * FROM NetworkAP WHERE Frequency='.$DbRow['Frequency'].' AND '.$Where);
          while($DbRow2 = $DbResult2->fetch_assoc())
          {
            $LowFrequency = $DbRow['Frequency'] - $DbRow2['ChannelWidth'] / 2;
            $HighFrequency = $DbRow['Frequency'] + $DbRow2['ChannelWidth'] / 2;
            $Output .= '<tr><td>'.$DbRow2['SSID'].'</td>';
            foreach($ChannelList as $Frequency)        
            {
              if(($LowFrequency <= ($Frequency - 2.5)) and ($HighFrequency >= ($Frequency + 2.5))) $Color = '#808080';
                else if(($LowFrequency == $Frequency) or ($HighFrequency == $Frequency)) $Color = '#c0c0c0';
                else $Color = '#ffffff';
              $Output .= '<td style="background-color: '.$Color.';">&nbsp;</td>';
            }

            $Output .= '</tr>';  
          }          
        }
        $Output .= '</table>';
        break;
      default: 
        $Output .= '<a href="?section=obsazeni_wifi_kanalu">Obsazení Wi-Fi kanálů</a><br />';
        $Output .= '<a href="network/dostupnost.php">Měření dostupnosti zařízení</a><br />';
        $Output .= '<a href="network/subnet.php">Výpis registrovaných podsítí</a><br />';
        //$Output .= '<a href="tkr.php">Kanály kabelové televize</a>';
    }
    return($Output);
  }
}

class ModuleNetwork extends AppModule
{
  function __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'Network';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPLv3';
    $this->Description = 'Networking related tools';
    $this->Dependencies = array();
  }  

  function Install()
  {
  }
  
  function Uninstall()
  {     
  }
  
  function Start()
  {
    parent::Start();
    $this->System->RegisterPage('hostlist.php', 'PageHostList');
    $this->System->RegisterPage('network.php', 'PageNetworkInformation');    
  }  
  
  function Stop()
  { 
  } 
}

?>
