<?php

include_once('../Common/Global.php');

class FinanceManagePage extends Page
{
  var $FullTitle = 'Správa financí';
  var $ShortTitle = 'Správa financí';

  function Show()
  {
    if(!$this->System->Modules['User']->CheckPermission('Finance', 'Manage')) 
      return('Nemáte oprávnění');

    if(array_key_exists('Operation', $_GET)) $Operation = $_GET['Operation']; 
      else $Operation = '';
    //$Operation = 'ImportOldData';
    switch($Operation)
    {
      case 'Bills':
        $Output = $this->BillManage();
        break;
      case 'ConvertPDFToFile':
        $Output = $this->ConvertPDFDataToFiles();
        break;
      //case 'ImportOldData':
      //  $Output = $this->ImportOldData();
      //  break;
      case 'NewDeviceForm':
        $Output = $this->ShowNewDeviceForm();
        break;
      case 'NewDeviceInsert':
        $Output = $this->ShowNewDeviceInsert();
        break;
      case 'NewDeviceHistoryForm':
        $Output = $this->ShowNewDeviceHistoryForm();
        break;
      case 'NewDeviceHistoryInsert':
        $Output = $this->ShowNewDeviceHistoryInsert();
        break;
      case 'NewPaymentInsert':
        $Output = $this->ShowNewPaymentInsert();
        break;
      case 'NewPaymentForm':
        $Output = $this->ShowNewPaymentForm();
        break;
      case 'NewInvoiceInsert':
        $Output = $this->ShowNewInvoiceInsert();
        break;
      case 'NewInvoiceForm':
        $Output = $this->ShowNewInvoiceForm();
        break;
      case 'Recalculate':
        $Output = $this->System->Modules['Finance']->RecalculateSegmentParameters();
        $Output .= $this->System->Modules['Finance']->RecalculateMemberPayment();
        break;
      case 'MonthlyPayment':
        $Output = $this->ShowMonthlyPayment();
        break;
      case 'GenerateBills':
        $Output = $this->GenerateBills();
        break;
      default:
        $Output = '<a href="?Operation=NewDeviceForm">Přidat nové zařízení</a><br />';
        $Output .= '<a href="?Operation=NewDeviceHistoryForm">Přidat nový záznam historie zařízení</a><br />';
        $Output .= '<a href="?Operation=NewPaymentForm">Přidat novou platbu</a><br />';
        $Output .= '<a href="?Operation=NewInvoiceForm">Přidat novou fakturu</a><br />';
        $Output .= '<a href="?Operation=ConvertPDFToFile">Převést data z databáze do souborů</a><br />';
        $Output .= '<a href="?Operation=Bills">Správa dokladů</a><br />';
        $Output .= '<a href="?Operation=Recalculate">Přepočet financí</a><br />';
        $Output .= '<a href="?Operation=MonthlyPayment">Měsíční vyúčtování</a><br />';
        $Output .= '<a href="clenove.php">Seznam členů</a><br />';
        $Output .= '<a href="zivnost.php">Živnost</a><br />';
        $Output .= '<a href="?Operation=GenerateBills">Generovat chybějící doklady</a><br />';
        $Output .= '<a href="import.php">Import plateb</a><br />';
    }
    return($Output);
  }

  function BillManage()
  {
    $Output = '';
    if(array_key_exists('subject', $_GET))
    {
      $DbResult = $this->Database->select('FinanceBills', '*', 'Subject='.$_GET['subject']);
      while($Item = $DbResult->fetch_array())
      {
        $Output .= '<a href="?Operation=Bills&amp;bill='.$Item['Id'].'">faktura '.$Item['Id'].'</a> <a href="?Operation=Bills&amp;billpdf='.$Item['Id'].'">Uložené PDF</a> <a href="?Operation=Bills&amp;billpdf2='.$Item['Id'].'">Generované PDF</a> <a href="?Operation=Bills&amp;regenerate='.$Item['Id'].'">Přegenerovat</a><br />';
      }
    } else
    if(array_key_exists('billpdf', $_GET))
    {
      $Output .= $this->System->Modules['Bill']->ShowStoredBill($_GET['billpdf']);
    } else
    if(array_key_exists('billpdf2', $_GET))
    {
      $Output .= $this->System->Modules['Bill']->ShowGeneratedBill($_GET['billpdf2']);
    } else
    if(array_key_exists('regenerate', $_GET))
    {
      $Output .= $this->System->Modules['Bill']->RegeneratePDF($_GET['regenerate']);
    } else
    if(array_key_exists('bill', $_GET))
    {
      $Output .= $this->System->Modules['Bill']->GenerateBill($_GET['bill']);
    } else
    if(array_key_exists('generate', $_GET))
    {
      $Output .= $this->System->Modules['Bill']->CreateBill(1, array(array('Description' => 'Poplatek za připojení k Internetu', 'Price' => 1000, 'Quantity' => 1)), time(), time());
    } else 
    {
      //ShowHeader('Faktury', 'Faktury');
      $Output .= 'Faktury:<br />';
      $DbResult = $this->Database->select('Subject', '*', '1 ORDER BY Name');
      while($Subject = $DbResult->fetch_array())
      {
        $Output .= '<a href="?Operation=Bills&amp;subject='.$Subject['Id'].'">'.$Subject['Name'].'</a><br />';
      }
      //ShowFooter();
    }
    return($Output);
  }

  function CheckAdvancesAndLiabilities($Subject)
  {
    global $LastInsertTime;

    do {
      $DbResult = $this->Database->select('FinanceAdvances', 'SUM(Value)', 'Subject='.$Subject.' AND Direction = "In"');
      $DbRow = $DbResult->fetch_array();
      $Advances = $DbRow[0];
      $DbResult = $this->Database->select('FinanceClaimsLiabilities', '*', 'Subject='.$Subject.' AND TimePayment IS NULL AND Value > 0 ORDER BY TimeCreation LIMIT 1');
      //echo($Database->error);
      if($DbResult->num_rows > 0)
      {
        $OpenedClaim = $DbResult->fetch_array();
        if($Advances > $OpenedClaim['Value'])
        {
          $this->Database->update('FinanceClaimsLiabilities', 'Id='.$OpenedClaim['Id'], array('TimePayment' => TimeToMysqlDateTime($LastInsertTime)));
          $this->Database->insert('FinanceAdvances', array('Subject' => $OpenedClaim['Subject'], 'Value' => -$OpenedClaim['Value'], 'TimeCreation' => TimeToMysqlDateTime($LastInsertTime), 'CashFlowId' => $OpenedClaim['Id'], 'Direction' => 'In'));
          //echo($Database->LastQuery);
        } else break;
      } else break;
    } while(($Advances > $OpenedClaim['Value']));
  }

  function InsertLiability($Subject, $Value, $TimeCreation, $TimeDue, $Text, 
    $DocumentLine, $PeriodFrom, $PeriodTo)
  {
    global $LastInsertTime;

    $BillCode = $this->System->Modules['Finance']->GetNextDocumentLineNumber($DocumentLine);
    $this->Database->insert('FinanceClaimsLiabilities', array('Text' => $Text, 
      'Subject' => $Subject, 'TimeCreation' => TimeToMysqlDateTime($TimeCreation), 
      'TimeDue' => TimeToMysqlDateTime($TimeDue), 'Value' => $Value, 'BillCode' => $BillCode,
      'PeriodFrom' => TimeToMysqlDate($PeriodFrom), 'PeriodTo' => TimeToMysqlDate($PeriodTo)));
    $Output = '.'; //$this->Database->LastQuery.'<br />';
    //$LastInsertTime = $Time;
    //$this->CheckAdvancesAndLiabilities($Subject);
    return($Output);
  }

  function InsertMoney($Subject, $Value, $Cash, $Taxable, $Time, $Text, $DocumentLine)
  {
    global $LastInsertTime;

    $BillCode = $this->System->Modules['Finance']->GetNextDocumentLineNumber($DocumentLine);
    $this->Database->insert('FinanceOperation', array('Text' => $Text, 'Subject' => $Subject, 'Cash' => $Cash, 'Value' => $Value, 'Time' => TimeToMysqlDateTime($Time), 'Taxable' => $Taxable, 'BillCode' => $BillCode));
    /*if($Value >= 0)
    {
      $this->Database->insert('FinanceAdvances', array('Subject' => $Subject, 'Value' => $Value, 'TimeCreation' => TimeToMysqlDateTime($Time), 'CashFlowId' => $this->Database->insert_id, 'Direction' => 'In'));
    }
    $LastInsertTime = $Time;
    */
    //$this->CheckAdvancesAndLiabilities($Subject);
  }

  function ShowNewDeviceForm()
  {
    $Form = new Form('NewNetworkDevice');
    $Form->OnSubmit = '?Operation=NewDeviceInsert';
    $Output = $Form->ShowEditForm();
    return($Output);
  }

  function ShowNewDeviceInsert()
  {
    $Form = new Form('NewNetworkDevice');
    $Form->LoadValuesFromForm();
    $Form->SaveValuesToDatabase(0);
    $Output = $this->SystemMessage('Finance', 'Zařízení vloženo.');
    $this->System->Modules['Log']->NewRecord('Finance', 'NewDeviceInserted');
    return($Output);
  }

  function ShowNewDeviceHistoryForm()
  {
    $Form = new Form('NewNetworkDeviceHistory');
    $Form->OnSubmit = '?Operation=NewDeviceHistoryInsert';
    $Output = $Form->ShowEditForm();
    return($Output);
  }

  function ShowNewDeviceHistoryInsert()
  {
    $Form = new Form('NewNetworkDeviceHistory');
    $Form->LoadValuesFromForm();
    $Form->SaveValuesToDatabase(0);
    $Output = $this->SystemMessage('Finance', 'Záznam historie zařízení vložen.');
    $this->System->Modules['Log']->NewRecord('Finance', 'NewDeviceHistoryInserted');
    return($Output);
  }

  function ShowNewPaymentForm()
  {
    $Form = new Form('NewPayment');
    $Form->OnSubmit = '?Operation=NewPaymentInsert';
    $Output = $Form->ShowEditForm();
    return($Output);
  }

  function ShowNewPaymentInsert()
  {
    $Form = new Form('NewPayment');
    $Form->LoadValuesFromForm();
    $this->InsertMoney($Form->Values['Subject'], $Form->Values['Value'], $Form->Values['Cash'], $Form->Values['Taxable'], $Form->Values['Time'], $Form->Values['Text'], $Form->Values['DocumentLine']);
    $LastId = $this->Database->insert_id;
    $DbResult = $this->Database->select('FinanceOperation', 'BillCode', 'Id='.$LastId);
    $DbRow = $DbResult->fetch_assoc();
    $Output = $this->SystemMessage('Finance', 'Platba vložena '.$DbRow['BillCode'].'.');
    $this->System->Modules['Log']->NewRecord('Finance', 'NewPaymentInserted');
    return($Output);
  }

  function ShowNewInvoiceForm()
  {
    $Form = new Form('NewInvoice');
    $Form->OnSubmit = '?Operation=NewInvoiceInsert';
    $Output = $Form->ShowEditForm();
    return($Output);
  }

  function ShowNewInvoiceInsert()
  {
    $Form = new Form('NewInvoice');
    $Form->LoadvaluesFromForm();
    //print_r($Form->Values);
    $this->InsertLiability($Form->Values['Subject'], $Form->Values['Value'], 
      $Form->Values['TimeCreation'], $Form->Values['TimeDue'], $Form->Values['Text'], 
      $Form->Values['DocumentLine'], NULL, NULL);
    $LastId = $this->Database->insert_id;
    $DbResult = $this->Database->select('FinanceClaimsLiabilities', 'BillCode', 'Id='.$LastId);
    $DbRow = $DbResult->fetch_assoc();
    $Output = $this->SystemMessage('Finance', 'Faktura vložena '.$DbRow['BillCode'].'.');
    $this->System->Modules['Log']->NewRecord('Finance', 'NewInvoiceInserted');
    return($Output);
  }
  
  function ConvertPDFDataToFiles()
  {
    $DbResult = $this->Database->query('SELECT * FROM FinanceBills');
    while($Bill = $DbResult->fetch_assoc())
    {
      file_put_contents('doklady/doklad_'.$Bill['id'].'.pdf', $Bill['pdf']);
      echo($Bill['id'].',');
    }
  }

  function CheckPDFFiles()
  {
    global $InvoiceGenerator;

    $DbResult = $this->Database->query('SELECT * FROM FinanceBills');
    while($Bill = $DbResult->fetch_assoc())
    {
      file_put_contents('doklady2/doklad-'.$Bill['id'].'.pdf', file_get_contents('doklady/doklad-'.$Bill['id'].'.pdf'));
      //echo($InvoiceGenerator->HasPDFFile($Bill['id']).',');
    }
  }
  
  function GetBillingPeriod($Period)
  {
    $MonthCount = $this->System->Modules['Finance']->BillingPeriods[$Period]['MonthCount'];
    $PeriodFrom = mktime(0, 0, 0, date('n'), 1, date('Y'));
    $PeriodTo = mktime(0, 0, 0, date('n') + $MonthCount - 1, date('t', mktime(0, 0, 0, date('n') + $MonthCount - 1, 1, date('Y'))) , date('Y'));
    return(array('From' => $PeriodFrom, 'To' => $PeriodTo, 'MonthCount' => $MonthCount));
  } 

  function ShowMonthlyPayment()
  {
    if(!$this->System->Modules['User']->CheckPermission('Finance', 'Manage')) return('Nemáte oprávnění');
    $Output = '';

    $Finance = &$this->System->Modules['Finance'];
    
    // Načti poslední měsíční přehled a nastavení
    $DbResult = $this->Database->select('FinanceMonthlyOverall', '*', '1 ORDER BY Date DESC LIMIT 1');
    $Overall = $DbResult->fetch_array();

    $Output -= 'Datum: '.date('j.n.Y').'<br />';
    
    $Datum = explode('-', $Overall['Date']);
    $Mesic = date('m') + 0;

    $Output .= $Finance->RecalculateSegmentParameters();
    $Output .= $Finance->LoadTariffs();
    //$InvoiceGenerator->CustomGenerate();
    $Output .= $Finance->RecalculateMemberPayment();

    // Celkovy prehled
    $DbResult = $this->Database->query('SELECT SUM(Product.SellPrice) AS Price FROM StockItem '.
      'JOIN Product ON StockItem.Product = Product.Id WHERE (StockItem.TimeElimination IS NULL) AND (StockItem.Segment IS NOT NULL)');
    $Row = $DbResult->fetch_row();
    $TotalDeviceCost = $Row[0];
    $Output .= 'Celková cena zařízení: Zařízení('.$TotalDeviceCost;
    
    $DbResult = $this->Database->query('SELECT SUM(Price) FROM NetworkSegment');
    $Row = $DbResult->fetch_row();
    $TotalSegmentDeviceCost = $Row[0];
    $Output .= '), Segmenty('.$TotalSegmentDeviceCost;
    
    $DbResult = $this->Database->query('SELECT SUM(NetworkDevice) FROM MemberPayment');
    $Row = $DbResult->fetch_row();
    $TotalMemberDeviceCost = $Row[0];
    $Output .= '), Členové('.$TotalMemberDeviceCost.')<br />';
    
    $DbResult = $this->Database->query('SELECT SUM(Cash) FROM MemberPayment');
    $Row = $DbResult->fetch_row();
    $TotalMemberCash = $Row[0];
    $Output .= 'Stav pokladny: Členové('.$TotalMemberCash.')';   

    $DbResult = $this->Database->query('SELECT SUM(Product.Consumption) AS Consumption FROM StockItem '.
      'JOIN Product ON StockItem.Product = Product.Id WHERE (StockItem.TimeElimination IS NULL) AND (StockItem.Segment IS NOT NULL)');
    $Row = $DbResult->fetch_row();
    $TotalConsumption = $Row[0];
    $TotalConsumptionCost = $Finance->W2Kc($TotalConsumption);

    $SpravaCelkem = $Finance->Sprava * $Finance->SpravaUsers;
    $Output .= 'Kontrola placení (Zaplaceno-Sprava-Internet): '.$Finance->TotalPaid.'-'.$SpravaCelkem.'-'.$Finance->Internet.'='.($Finance->TotalPaid - $SpravaCelkem - $Finance->Internet).'<br />';

    // Zkontrolovat odečtení měsíčního poplatku
    //$Mesic = '1';
    $Output .= 'Kontrola odečtení poplatků: Poslední měsíc-'.round($Datum[1]).' Aktuální měsíc-'.$Mesic.'<br />';
    if($Mesic != $Datum[1])
    {
      $Output .= 'Odečítám měsíční poplatek...<br />';

      // Generuj účetní položky
      $DbResult = $this->Database->query('SELECT Member.*, MemberPayment.MonthlyTotal, UNIX_TIMESTAMP(Member.BillingPeriodLastDate), Subject.Name AS SubjectName FROM MemberPayment JOIN Member ON Member.Id=MemberPayment.Member JOIN Subject ON Subject.Id=Member.Subject');
      while($Member = $DbResult->fetch_assoc())
      {
        $Output .= $Member['SubjectName'].': ';
        //$Member['UNIX_TIMESTAMP(Member.BillingPeriodLastDate)'] = MysqlDateTimeToTime('2009-04-01 1:1:1');
        $Period = $this->GetBillingPeriod($Member['BillingPeriodNext']);
        if($Period['From'] > $Member['UNIX_TIMESTAMP(Member.BillingPeriodLastDate)'])
        {
          $this->Database->update('Member', 'Id='.$Member['Id'], 
            array('BillingPeriod' => $Member['BillingPeriodNext']));
          $Member['BillingPeriod'] = $Member['BillingPeriodNext'];
        }
        $Period = $this->GetBillingPeriod($Member['BillingPeriod']);
        if(($Period['From'] > $Member['UNIX_TIMESTAMP(Member.BillingPeriodLastDate)']) and ($Member['InternetTariffCurrentMonth'] != TARIFF_FREE) and ($PayPerPeriod > 0) and
        ($Member['Blocked'] == 0))
        {
          $BillItems = array();
          $MonthlyTotal = 0;
          $DbResult2 = $this->Database->query('(SELECT Service.* FROM ServiceCustomerRel LEFT JOIN Service '.
            'ON Service.Id=ServiceCustomerRel.Service WHERE ServiceCustomerRel.Customer='.$Member['Id'].') AND (ServiceCustomerRel.Period=0)');
          while($Service = $DbResult2->fetch_assoc())
          {
            $BillItems[] = array('Description' => $Service['Name'], 'Price' => $Service['Price'], 
            'Quantity' => $Period['MonthCount']);
            $MonthlyTotal += $ServicePrice['Price'];
            $this->Database->update('ServiceCustomerRel', 'Id=');  
          }
          if($Member['Hire'] != 0)
          {
            $Output .= '<tr><td>Nájem</td><td>'.(-$Member['Hire']).'</td></tr>';
            $MonthlyTotal -= $Member['Hire'];
          }
          if($Member['MonthlyPlus'] != 0)
          {
            $MonthlyTotal -= $Member['MonthlyPlus'];
          }
          $PayPerPeriod = $MonthlyTotal * $Period['MonthCount'];
    
//echo($Mesic.'%'.$MonthCount.'='.($Mesic % $MonthCount).' ');                  
          $TimePeriodText = date('j.n.Y', $Period['From']).' - '.date('j.n.Y', $Period['To']);
          $Output .= $TimePeriodText.': '.$MonthlyTotal.' * '.$Period['MonthCount'].' = '.$PayPerPeriod.'<br />';
          $BillCode = $Finance->GetNextDocumentLineNumber(INVOICE_OUT_DOC_LINE); 
          $BillId = $this->System->Modules['Bill']->CreateBill($Member['Subject'], 
            $BillItems, time(), time() + 3600 * 24 * INVOICE_DUE_DAYS, $BillCode, $Period['From'], $Period['To']);
          $this->Database->insert('FinanceClaimsLiabilities', array('Value' => $PayPerPeriod, 
            'Subject' => $Member['Subject'], 'TimeCreation' => 'NOW()', 
            'TimeDue' => 'DATE_ADD(NOW(), INTERVAL '.INVOICE_DUE_DAYS.' DAY)', 
            'Text' => 'Vyúčtování služeb za období '.$TimePeriodText, 
            'Bill' => $BillId, 'BillCode' => $BillCode));
          $Output .= $this->SendPaymentEmail($Member['Id']);
          $this->Database->update('Member', 'Id='.$Member['Id'], array('BillingPeriodLastDate' => TimeToMysqlDateTime($Period['To'])));
        } else $Output .= '<br />';
      }
      
      // Update finance charge
      $Output .= 'Měním aktuální parametry sítě...<br>';
      $this->Database->delete('FinanceCharge', 'Period = 0');
      $DbResult = $this->Database->select('FinanceCharge', '*', 'Period = 1');
      $Charge = $DbResult->fetch_assoc();
      //print_r($Charge);
      $DbResult = $this->Database->insert('FinanceCharge', array('Period' => 0, 'Internet' => $Charge['Internet'], 'InternetSpeed' => $Charge['InternetSpeed'], 'InternetSpeedReserve' => $Charge['InternetSpeedReserve'], 'AdministrationPerUser' => $Charge['AdministrationPerUser'], 'kWh' => $Charge['kWh'], 'BaseSpeedElement' => $Charge['BaseSpeedElement'], 'BaseTariffPrice' => $Charge['BaseTariffPrice'], 'TopTariffPrice' => $Charge['TopTariffPrice']));

      $Output .= 'Přidávám měsíční přehled...<br />';
      $this->Database->insert('FinanceMonthlyOverall', array('Date' => 'NOW()', 'Money' => $Finance->Internet, 'kWh' => $Finance->kWh, 'Administration' => $Finance->Sprava, 'AdministrationTotal' => $SpravaCelkem, 'ConsumptionTotal' => $TotalConsumptionCost, 'TotalPaid' => $Finance->TotalPaid, 'BaseTariffPrice' => $Charge['BaseTariffPrice'], 'TopTariffPrice' => $Charge['TopTariffPrice'], 'MemberCount' => $Finance->InternetUsers));

      // Update services
      $Output .= 'Měním aktuální tarify....<br>';
      $DbResult = $this->Database->select('Service', '*', '`ReplaceId` IS NOT NULL');
      while($Service = $DbResult->fetch_array())
      {
        $Service['Id'] = $Service['ReplaceId'];
        $Service['ReplaceId'] = '';
        $this->Database->update('Service', 'Id='.$Service['ReplaceId'], $Service);
      }
      $this->Database->delete('Service', '`ReplaceId` IS NOT NULL');

      $Finance->RecalculateMemberPayment();
      //CreateMonthlyOverallBill();
      //$Finance->RecalculateUsersFinance();

      // Restart traffic shaping
      //$this->Database->update('NetworkConfiguration', 'Id = 3', array('Changed' => 1));     
    }
    return($Output);
  }
  
  function SendPaymentEmail($MemberId, $FileId = '')
  {
    global $Config;
    
    $DbResult = $this->Database->select('Member', '*', 'Id='.$MemberId);
    $Member = $DbResult->fetch_assoc();

    $DbResult = $this->Database->select('MemberPayment', '*', 'Member='.$MemberId);
    $MemberPayment = $DbResult->fetch_assoc();   

    $DbResult = $this->Database->select('Subject', 'Name', 'Id='.$Member['Subject']);
    $Subject = $DbResult->fetch_assoc();      
    
    $DbResult = $this->Database->select('User', '*', 'Id='.$Member['ResponsibleUser']);    
    $User = $DbResult->fetch_assoc();
    
    $DbResult = $this->Database->select('Subject', '*', '`Id`='.$Config['Finance']['MainSubjectId']);
    $MainSubject = $DbResult->fetch_assoc();  
    
    $DbResult = $this->Database->select('FinanceBankAccount', '*', '(`Subject`='.
      $Config['Finance']['MainSubjectId'].') AND (`Use`=1)');
    $MainSubjectAccount = $DbResult->fetch_assoc();
        
    if($User['Email'] != '')
    {
      $Title = 'Pravidelné vyúčtování služeb';
      $Content = 'Vyúčtovaní zákazníka <strong>'.$Subject['Name'].'</strong> zastoupeného uživatelem <strong>'.$User['Name'].'</strong> ke dni <strong>'.$this->System->HumanDate(time()).'</strong>.<br /><br />'."\n".
        'Váše aktuální služby: ';
      $DbResult = $this->Database->query('SELECT GROUP_CONCAT(Service.Name) AS Name FROM ServiceCustomerRel LEFT JOIN Service '.
      'ON Service.Id=ServiceCustomerRel.Service WHERE ServiceCustomerRel.Customer='.$Member['Id'].' AND ServiceCustomerRel.Period=0');
        $Service = $DbRow->fetch_assoc();
      $Content .= '<strong>'.$Service['Name'].'</strong><br />'."\n".
        'Vaše platební období: <strong>'.$this->System->Modules['Finance']->BillingPeriods[$Member['BillingPeriod']]['Name'].'</strong><br />'."\n".
        'Pravidelná platba za období: <strong>'.$MemberPayment['MonthlyTotal'].' Kč</strong><br />'."\n".
        'Bankovní účet: <strong>'.$MainSubjectAccount['Number'].'<br/>'."\n".
        'Variabilní symbol: <strong>'.$Member['Subject'].'</strong><br/>'."\n".
        'Stav vašeho účtu: <strong>'.($MemberPayment['Cash'] - $MemberPayment['MonthlyTotal']).' Kč</strong><br /><br />'."\n";
      $Content .= 'Nové finanční operace:<br/>'.
        '<table style="margin-left: auto; margin-right: auto; border-style: solid; border-width: 1px; border-collapse: collapse;"><tr><th style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center; font-weight: bold;">Čas</th><th style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center;; font-weight: bold;">Popis</th><th style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center;; font-weight: bold;">Částka [Kč]</th></tr>'."\n";
      //$Member['BillingPeriodLastDate'] = '2009-04-01';
      $DbResult = $this->Database->query('SELECT T1.* FROM ((SELECT Text, Time, Value AS Value, Bill FROM FinanceOperation WHERE (Subject='.$Member['Subject'].')) UNION ALL '.
      '(SELECT Text, TimeCreation as Time, -Value as Value, Bill FROM FinanceClaimsLiabilities WHERE (Subject='.$Member['Subject'].')) ORDER BY Time DESC) AS T1 WHERE (T1.Time > "'.$Member['BillingPeriodLastDate'].'")');
      while($DbRow = $DbResult->fetch_assoc())
      {
        $Content .= '<tr><td style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center;">'.HumanDate($DbRow['Time']).'</td>'.
          '<td style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center;">'.$DbRow['Text'].'</td>'.
          '<td style="border-style: solid; border-width: 1px; padding: 1px 5px 1px 5px; text-align: center;">'.$DbRow['Value'].'</td></tr>'."\n";
      }
      $Content .= '</table><br />'."\n".
      'Pro aktuální informace, prohlížení elektronických dokladů a možnost změny údajů se prosím přihlašte na stránkách <a href="http://'.$Config['Web']['Host'].$Config['Web']['RootFolder'].'">http://'.$Config['Web']['Host'].$Config['Web']['RootFolder'].'</a>.<br /><br />'."\n";
        
      $Content .= '<br />Tento email je generován automaticky. V případě zjištění nesrovnalostí napište zpět.';
      $this->System->AddEmailToQueue($User['Name'].' <'.$User['Email'].'>', $Title, $Content, 
         $Config['Web']['Admin'].' <'.$Config['Web']['AdminEmail'].'>');
      $Output = '';
    } else $Output = 'Uživatel '.$User['Name'].' nemá email.';
  }
  
  function GenerateBills()
  {
    // FinanceClaimsLiablities
    $DbResult = $this->Database->query('SELECT * FROM FinanceClaimsLiabilities WHERE (BillCode <> "") AND (Value != 0) AND (Bill = 0)');
    while($Row = $DbResult->fetch_assoc())
    {
      $BillId = $this->System->Modules['Bill']->CreateBill($Row['Subject'], 
        array(array('Description' => $Row['Text'], 'Price' => $Row['Value'], 'Quantity' => 1)), 
        MysqlDateTimeToTime($Row['TimeCreation']), MysqlDateTimeToTime($Row['TimeDue']), 
        $Row['BillCode'], 'invoice', MysqlDateToTime($Row['PeriodFrom']), MysqlDateToTime($Row['PeriodTo']));
      $this->Database->update('FinanceClaimsLiabilities', 'Id='.$Row['Id'], array('Bill' => $BillId));
      echo('.');
    }

    // FinanceOperations
  }
}

$System->AddModule(new FinanceManagePage());
$System->Modules['FinanceManagePage']->GetOutput();

?>