ALTER TABLE SystemVersion CHANGE COLUMN Rev478 Rev479 bit;

ALTER TABLE `ServiceCustomerRel` ADD `Period` INT NOT NULL 

CREATE TABLE IF NOT EXISTS `ServiceCustomerRel` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Service` int(11) NOT NULL,
  `Customer` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Service` (`Service`),
  KEY `Customer` (`Customer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `ServiceCustomerRel`
  ADD CONSTRAINT `ServiceCustomerRel_ibfk_2` FOREIGN KEY (`Customer`) REFERENCES `Member` (`Id`),
  ADD CONSTRAINT `ServiceCustomerRel_ibfk_1` FOREIGN KEY (`Service`) REFERENCES `Service` (`Id`);

DROP TABLE `ServiceInternet`;
DROP TABLE `ServiceConsumption`;
DROP TABLE `ServiceVPS`;
DROP TABLE `Service`;

CREATE TABLE IF NOT EXISTS `Service` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Category` int(11) NOT NULL,
  `Price` int(11) NOT NULL,
  `CustomerCount` int(11) NOT NULL,
  `ReplaceId` int(11) DEFAULT NULL,
  `Public` int(11) NOT NULL,
  `InternetSpeedMin` int(11) NOT NULL,
  `InternetSpeedMax` int(11) NOT NULL,
  `UploadAsymmetry` int(11) NOT NULL,
  `Memory` int(11) NOT NULL,
  `MemorySwap` int(11) NOT NULL,
  `Storage` int(11) NOT NULL,
  `CPUCount` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Category` (`Category`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

ALTER TABLE `Service`
  ADD CONSTRAINT `Service_ibfk_1` FOREIGN KEY (`Category`) REFERENCES `ServiceCategory` (`Id`);

-- Transform data from FinanceTariff
INSERT INTO Service (SELECT Id AS Id, Name, `Group` AS Category, Price, MemberCount AS CustomerCount, 
ReplaceId, Public, SpeedMax AS InternetSpeedMax, SpeedMin AS InternetSpeedMin, 
UploadAsymmetry, 0 AS Memory, 0 AS MemorySwap, 0 AS Storage, 0 AS CPUCount FROM FinanceTariff);

INSERT INTO ServiceCustomerRel (SELECT NULL AS Id, InternetTariffCurrentMonth AS Serice, Id AS Customer, 0 AS Period FROM `Member`);
INSERT INTO ServiceCustomerRel (SELECT NULL AS Id, InternetTariffNextMonth AS Serice, Id AS Customer, 1 AS Period FROM `Member`);

ALTER TABLE `Member` DROP FOREIGN KEY `Member_ibfk_25` ;
ALTER TABLE `Member` DROP FOREIGN KEY `Member_ibfk_26` ;
ALTER TABLE `Member` DROP `InternetTariffCurrentMonth`;
ALTER TABLE `Member` DROP `InternetTariffNextMonth`;
DROP TABLE `FinanceTariff`;

DROP TABLE `ProductOld`;

ALTER TABLE `Service` ADD INDEX ( `Public` ) ;
ALTER TABLE `Service` ADD INDEX ( `ReplaceId` ) ;
ALTER TABLE `Service` ADD FOREIGN KEY ( `ReplaceId` ) REFERENCES `Service` (`Id`) ON DELETE RESTRICT ON UPDATE RESTRICT ;
